Browse the API reference

Revoke Invitation

delete/v1/orgs/{org_id}/invitations/{invitation_id}

Part of Org Members.

Requires admin or owner role. Only pending invitations can be revoked.

Authentication

Authenticate in any one of these ways — not all of them:

  • API key in the X-API-Key header.
  • Bearer token in the Authorization header.

Path parameters

NameTypeDescription
org_idrequiredstringOrg Id
invitation_idrequiredstringInvitation Id

Example request

curl
curl -X DELETE "https://api.robosystems.ai/v1/orgs/{org_id}/invitations/{invitation_id}" \
  -H "X-API-Key: $ROBOSYSTEMS_API_KEY"

Responses

204 Successful Response

StatusMeaning
400Invalid request
401Authentication required
403Access denied
404Resource not found
422Validation Error
429Rate limit exceeded
500Internal server error